#include<iostream>
#include<algorithm>
#include<cmath>
#include<cstdio>

using namespace std;

int n;
string s,s2;
long long niz[1000005];
//int c[205];
int br;
long long rez;

int main()
{
    cin>>n;
    cin>>s;
    if(n<26)
        cout<<0<<endl;
    br=0;
    for(int i=0;i<n;i++)
    {
        if(s[i]=='A')
            br++;
        else if(s[i]=='B')
            niz[i]=br;
    }
    for(int c='B';c<='Y';c++)
    {
        br=0;
        for(int i=0;i<n;i++)
        {
            if(s[i]==c)
            {
                br+=niz[i];
                if(br>=1000000007)
                    br%=1000000007;
            }
            else if(s[i]==c+1)
                niz[i]=br;
        }
    }
    for(int i=0;i<n;i++)
    {
        //cout<<niz[i]<<" ";
        if(s[i]=='Z')
            rez+=niz[i];
        rez%=1000000007;
    }
    cout<<rez;
    return 0;
}